package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.stockScan.AddStockScanReq;
import org.wcs.model.dto.serve.stockScan.QueryStockScanReq;
import org.wcs.model.dto.serve.stockScan.UpdateStockScanReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.common.PageDataResponse;
import org.wcs.model.vo.serve.stockScan.AppBaseScanMethodVo;
import org.wcs.model.vo.serve.stockScan.AppStockScanVo;

import java.util.List;

public interface IStockScanService {

    AppServeDataResponse<PageDataResponse<AppStockScanVo>> queryStockScan(QueryStockScanReq request,Integer pageSize,Integer pageIndex); // 分页查询相应信息
    AppServeDataResponse<List<AppStockScanVo>> queryStockScan();
    AppServeDataResponse<List<AppBaseScanMethodVo>> queryBaseScanMethod(); // 查询基础扫描方法
    AppServeResponse addStockScan(AddStockScanReq request); // 添加扫码信息
    AppServeResponse updateStockScan(UpdateStockScanReq request); // 更新扫码数据
    AppServeResponse deleteStockScan(String stockScanId); // 删除扫码信息
}
